Last Comment Bug 749626 - Theme update: make the close button code generic and implement the dark theme for menulists.
: Theme update: make the close button code generic and implement the dark theme...
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Firefox 15
Assigned To: Paul Rouget [:paul]
:
: J. Ryan Stinnett [:jryans] (use ni?)
Mentors:
Depends on:
Blocks: darkdebug 704110 744906 749628
  Show dependency treegraph
 
Reported: 2012-04-27 08:03 PDT by Paul Rouget [:paul]
Modified: 2012-06-13 22:01 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v0.1 (26.67 KB, patch)
2012-04-27 08:08 PDT, Paul Rouget [:paul]
no flags Details | Diff | Splinter Review
patch v0.2 (15.83 KB, patch)
2012-05-02 10:04 PDT, Paul Rouget [:paul]
no flags Details | Diff | Splinter Review
patch v0.3 (15.44 KB, patch)
2012-05-03 09:17 PDT, Paul Rouget [:paul]
no flags Details | Diff | Splinter Review
patch v0.4 (17.85 KB, patch)
2012-05-07 02:46 PDT, Paul Rouget [:paul]
no flags Details | Diff | Splinter Review
patch v0.999 (18.28 KB, patch)
2012-05-07 04:34 PDT, Paul Rouget [:paul]
no flags Details | Diff | Splinter Review
patch v1 (18.28 KB, patch)
2012-05-07 07:56 PDT, Paul Rouget [:paul]
dao+bmo: review+
Details | Diff | Splinter Review

Description Paul Rouget [:paul] 2012-04-27 08:03:47 PDT
3 different patches need these changes.
Comment 1 Paul Rouget [:paul] 2012-04-27 08:08:02 PDT
Created attachment 619039 [details] [diff] [review]
patch v0.1
Comment 2 Paul Rouget [:paul] 2012-04-27 08:24:39 PDT
Here is some code to test:

let menulist = document.createElement("menulist");
menulist.className = "devtools-menulist";
let menupopup = document.createElement("menupopup");
menulist.appendChild(menupopup);
let i1 = document.createElement("menuitem"); let i2 = document.createElement("menuitem");
i1.setAttribute("label", "foo"); i2.setAttribute("label", "foo foo bar bar");
menupopup.appendChild(i1); menupopup.appendChild(i2);
InspectorUI.toolbar.appendChild(menulist);

Copy/paste in scratchpad (browser mode). Run with the Inspector open.
Comment 3 Paul Rouget [:paul] 2012-05-02 10:04:37 PDT
Created attachment 620360 [details] [diff] [review]
patch v0.2
Comment 4 Paul Rouget [:paul] 2012-05-03 09:17:24 PDT
Created attachment 620731 [details] [diff] [review]
patch v0.3

osx style
Comment 5 Paul Rouget [:paul] 2012-05-07 02:46:55 PDT
Created attachment 621542 [details] [diff] [review]
patch v0.4

Windows style (includes a fix for some the breadcrumbs)
Comment 6 Paul Rouget [:paul] 2012-05-07 04:34:19 PDT
Created attachment 621555 [details] [diff] [review]
patch v0.999
Comment 7 Paul Rouget [:paul] 2012-05-07 07:56:41 PDT
Created attachment 621600 [details] [diff] [review]
patch v1
Comment 8 Paul Rouget [:paul] 2012-05-07 08:02:20 PDT
Comment on attachment 621600 [details] [diff] [review]
patch v1

This patch includes:
- shared close button style
- fix for the searchinput style
- menulist style
- fix some misalignment and focus-ring problems of the breadcrumbs on Windows
Comment 9 Paul Rouget [:paul] 2012-05-10 07:52:29 PDT
review ping
Comment 11 Rob Campbell [:rc] (:robcee) 2012-05-11 11:29:03 PDT
https://hg.mozilla.org/mozilla-central/rev/2707febfc98f

Note You need to log in before you can comment on or make changes to this bug.